#include <bits/stdc++.h>
using namespace std;

struct fr{
    double pay, tax, cut;
};

int n;
fr niz[200005];

bool sFun(fr a, fr b)
{
    return a.tax > b.tax;
}

double totalSum;
double bestSum;

int main()
{
    scanf("%d", &n);
    for (int i = 0; i < n; ++i)
    {
        scanf("%lf %lf", &niz[i].pay, &niz[i].tax);
        //niz[i].cut = niz[i].pay * niz[i].tax * .01;
    }
    sort(niz, niz+n, sFun);
    for (int i = 0; i < n; ++i)
    {
        totalSum += niz[i].pay;
        if (totalSum * niz[i].tax*.01 > bestSum)
        {
            bestSum = totalSum * niz[i].tax *.01;
        }
    }
    printf("%lf", bestSum);
	return 0;
}